#!/bin/bash
set -euo pipefail
set -x
cleanup(){
    echo "Cleaning up..."

    set +euo pipefail
    docker cp the_neverhood_the-neverhood_1:/home/wineuser/.wine-win95/system.reg system.reg
    diff -u system.reg.original system.reg > gamesaves.reg.patch
}
trap cleanup INT QUIT EXIT
xauth list "${DISPLAY}" | head -n1 | awk '{print $3}' > ~/.docker-wine.Xkey
SNAPSHOT=$(date +%Y%m%d-%H%M%S)
sudo cp system.reg system.reg.${SNAPSHOT}
docker cp the_neverhood_the-neverhood_1:/home/wineuser/.wine-win95/system.reg system.reg || true
docker-compose up
